TConcepts.cpp File Reference
`#include <utl/concepts/concepts.h>`
`#include <utl/meta/meta.h>`
`#include <gtest/gtest.h>`

Go to the source code of this file.

## Classes

struct | test_concepts::Empty
struct | test_concepts::HaveOnlyCopy
struct | test_concepts::HaveOnlyMove
struct | test_concepts::HaveCopyAndMove
class | test_concepts::HavePerfectForwarding
class | test_concepts::Base
class | test_concepts::Derived1
class | test_concepts::Derived2
class | test_concepts::HaveOperatorBase
struct | test_concepts::A
struct | test_concepts::B
struct | test_concepts::Inv
struct | test_concepts::Pred
struct | test_concepts::Incr

## Namespaces

| test_concepts

## Functions

bool | test_concepts::operator== (const A &l, const A &r)
bool | test_concepts::operator!= (const A &l, const A &r)
bool | test_concepts::operator== (const B &l, const B &r)
bool | test_concepts::operator!= (const B &l, const B &r)
bool | test_concepts::operator< (const B &l, const B &r)
bool | test_concepts::operator<= (const B &l, const B &r)
bool | test_concepts::operator> (const B &l, const B &r)
bool | test_concepts::operator>= (const B &l, const B &r)
| test_concepts::TEST (TConcepts, Same)
| test_concepts::TEST (TConcepts, DerivedFrom)
| test_concepts::TEST (TConcepts, ConvertibleTo)
| test_concepts::TEST (TConcepts, CommonReference)
| test_concepts::TEST (TConcepts, Integral)
| test_concepts::TEST (TConcepts, Assignable)
| test_concepts::TEST (TConcepts, Swappable)
| test_concepts::TEST (TConcepts, Constructible)
| test_concepts::TEST (TConcepts, MovableCopyable)
| test_concepts::TEST (TConcepts, Boolean)
| test_concepts::TEST (TConcepts, Comparable)
| test_concepts::TEST (TConcepts, Types)
| test_concepts::TEST (TConcepts, Callable)
int | test_concepts::type_printer (int *i)
| test_concepts::TEST (TConcepts, Iterators)